ChiliProject - Bug # 127: Anonymous and Non member roles are not translated

Status: Closed Priority: Normal
Author: Derek Montgomery Category: Translations
Created: 2011-02-02 Assignee:

Updated: 2011-02-19 Due date:

Remote issue URL:
Affected version:
Description: It would be nice to get those 2 roles translated as well, since all others are

(Category should be 'Users & Rights'?)

History

2011-02-03 01:10 am - Eric Davis
- Category set to Translations

- Status changed from Open to Needs more information

Where are they not translated at?

2011-02-03 09:09 am - Derek Montgomery
In the default roles and workflows you can import after a brand new installation (seen in _Roles and permissions_ settings).

2011-02-03 09:14 am - Derek Montgomery

- Status changed from Needs more information to Open

2011-02-1505:27 pm-S C

Hi there.

Here is a pull request for this issue.
It will need some translations since | only knew for English and French.

https://github.com/chiliproject/chiliproject/pull/9

Cheers,

2011-02-15 06:16 pm - Felix Schéafer

- Status changed from Open to Ready for review

Looks sound to me, haven't tested it yet though. If there are no objections, I'll merge it after having tested it.

2011-02-16 01:59 pm - Felix Schéafer

- Status changed from Ready for review to Closed

Felix SchArfer wrote:

> I'll merge it after having tested it.

Done in commit:a5¢5047d461bef07b8cdc53549ac207d2c¢31cc76 , I've forgotten the @--no-ff@ in the merge though, sorry.
Thanks Simon.

2011-02-17 12:37 am - Eric Davis
Felix SchArfer wrote:
> I've forgotten the @--no-ff@ in the merge though, sorry.

| think simple/commit commits don't need @--no-ff@. You should set the committer to yourself so we know who to blame later ;)

2011-02-17 03:51 am - Toshi MARUYAMA

- File TortoiseHg.png added

Main line should use rebase. Revision graph is very dirty.

ITortoiseHg.png!

2011-02-19 01:19 am - Eric Davis
Toshi MARUYAMA wrote:

> Main line should use rebase. Revision graph is very dirty.

| disagree, see [[ChiliProject Repository]] for the details.

2011-02-19 05:19 am - Toshi MARUYAMA
- File hg-crew.png added

Mercurial has *named branch*.
Mercurial Crew Repository revision graph is very simple.

lhg-crew.png!

Please see.
* http://mercurial.selenic.com/wiki/KernelPractice
* http://mercurial.selenic.com/wiki/ContributingChanges

* http://mercurial.selenic.com/wiki/DeveloperRepos

2011-02-19 05:37 am - Toshi MARUYAMA
These are my posted mails and revisions in TortoiseHg.

* http://groups.google.com/group/thg-dev/browse_thread/thread/e25b2ed11671d5f9/a4ff8451f8e91b23?Ink=gst&qg=maruyama#a4ff8451f8e91b23

* https://bitbucket.org/tortoisehg/stable/changeset/6¢cd5fc97beed
* https://bitbucket.org/tortoisehg/stable/changeset/3bfbf0568152
